package com.example.monitorpatientstatus.mapper;
import com.example.monitorpatientstatus.entity.Manager;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.example.monitorpatientstatus.entity.Patient;
import com.example.monitorpatientstatus.entity.Doctor;

import java.util.List;

//@Repository将类标识为bean
//@Repository
@Mapper
public interface ManagerMapper {
    List<Manager> findAll();
    Manager findByName(@Param("username") String username);
    //Manager findById(int id);
    String findPswByName(@Param("UserName") String UserName);
    //void save(Manager user);
    void showPatientInfo(Patient patient);
    //查询患者健康信息
    void modifyPatient(Patient patient);
    //修改患者信息
    void modifyDoctor(Doctor doctor);
    //修改医生信息
}
